> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wesog.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload 1 query image

> Upload 1 image file to be used in a reverse image search. This endpoint returns an image hash that can be used as a reference later in the search query.



## OpenAPI

````yaml https://api.wesog.com/openapi.json post /query_imgs
openapi: 3.1.0
info:
  title: Wesog API
  description: Wesog AI services for media providers
  version: 1.0.0
servers:
  - url: https://api.wesog.com
    description: Production server
  - url: https://v2.api.wesog.com
    description: Production server (v2)
security: []
paths:
  /query_imgs:
    post:
      tags:
        - Query Images
      summary: Upload 1 query image
      description: >-
        Upload 1 image file to be used in a reverse image search. This endpoint
        returns an image hash that can be used as a reference later in the
        search query.
      operationId: upload_query_image_query_imgs_post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/Body_upload_query_image_query_imgs_post'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Body_upload_query_image_query_imgs_post:
      properties:
        image:
          type: string
          contentMediaType: application/octet-stream
          title: Image
          description: Binary image (JPG / PNG ≤ 5 MB)
      type: object
      required:
        - image
      title: Body_upload_query_image_query_imgs_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: API-Key

````